Page MenuHomePhabricator

{{Orphan}} template is quasi-visible on mobile web even when it's not visible on desktop
Closed, ResolvedPublic

Description

The article Chữ khoa đẩu in the English Wikipedia shows "Page issues" on mobile web. It indeed has the {{Orphan}} template, but with the way in which it is used on this page, it's completely invisible on the desktop.

The irony is that the idea of the "Page issues" feature is to make such templates appear as small as possible on phones, but in this case it appears larger than on the desktop.

If it's physically invisible on the desktop, then it probably shouldn't be visible on the mobile view either.

(It would be even better if instead of manually maintained and language-specific templates this was handled by a real MediaWiki feature, but that is a huge project.)

Related Objects

StatusAssignedTask
OpenNirzar
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
InvalidNone
ResolvedCKoerner_WMF
ResolvedCKoerner_WMF
InvalidNone
Resolvedovasileva
Resolvedalexhollender
Duplicatealexhollender
Resolvedalexhollender
Resolvedovasileva
Resolvedalexhollender
ResolvedRyasmeen
ResolvedRyasmeen
Resolved Niedzielski
Resolvedovasileva
ResolvedNone
Resolvedovasileva
ResolvedABorbaWMF
Resolvedalexhollender
DuplicateNone
Resolved Niedzielski
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolved Tbayer
Resolvedovasileva
Resolved Niedzielski
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
Resolved Tbayer
Resolvedphuedx
Resolvedovasileva
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Tbayer
Resolved Tbayer
Resolved Niedzielski
DeclinedNone
Resolvedovasileva
OpenNone

Event Timeline

Amire80 created this task.Dec 19 2017, 2:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2017, 2:06 PM
ovasileva added a subscriber: ovasileva.EditedMay 22 2018, 11:27 AM

Seems this is no-longer an issue (changed to regular page issues template) - orphan template displays only in the modal.

Jdlrobson changed the task status from Open to Stalled.Nov 13 2018, 10:00 PM
Jdlrobson added a subscriber: Jdlrobson.

This is fixed in the new treatment of page issues:
https://en.m.wikipedia.org/wiki/Ch%E1%BB%AF_khoa_%C4%91%E1%BA%A9u?oldid=789889944&minerva-issues=b
I will leave a note T159262 to resolve this when the epic is resolved.

Jdlrobson closed this task as Resolved.Jan 3 2019, 12:11 AM
Jdlrobson claimed this task.

This is fixed in beta https://en.m.wikipedia.org/wiki/Ch%E1%BB%AF_khoa_%C4%91%E1%BA%A9u?oldid=789889944&mobileaction=beta
It will be fixed in stable as soon as T210554 is deployed.